org.modeshape.sequencer.classfile.metadata

## Class MethodMetadata

- java.lang.Object
- - org.modeshape.sequencer.classfile.metadata.MethodMetadata

- All Implemented Interfaces:
    Comparable<MethodMetadata>

      public class MethodMetadata
      extends Object
      implements Comparable<MethodMetadata>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MethodMetadata o)`
    `List<AnnotationMetadata>` | `getAnnotations()`
    `String` | `getId()`
    `String` | `getName()`
    `List<String>` | `getParameters()`
    `String` | `getReturnType()`
    `Visibility` | `getVisibility()`
    `boolean` | `isAbstract()`
    `boolean` | `isConstructor()`
    `boolean` | `isFinal()`
    `boolean` | `isNative()`
    `boolean` | `isStatic()`
    `boolean` | `isStrictFp()`
    `boolean` | `isSynchronized()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

    - #### getVisibility

          public Visibility getVisibility()

    - #### isConstructor

          public boolean isConstructor()

    - #### getReturnType

          public String getReturnType()

    - #### getAnnotations

          public List<AnnotationMetadata> getAnnotations()

    - #### getParameters

          public List<String> getParameters()

    - #### isStatic

          public boolean isStatic()

    - #### isFinal

          public boolean isFinal()

    - #### isAbstract

          public boolean isAbstract()

    - #### isNative

          public boolean isNative()

    - #### isStrictFp

          public boolean isStrictFp()

    - #### isSynchronized

          public boolean isSynchronized()

    - #### compareTo

          public int compareTo(MethodMetadata o)

      Specified by:
        `compareTo` in interface `Comparable<MethodMetadata>`

    - #### getId

          public String getId()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.